Skip to content

Retrieve a load balancer

GET
/api/organizations/{organizationId}/load-balancers/{id}

Retrieve a specific load balancer with its configured origins.

Authorizations

ApiToken

Long-lived API token created via POST /api/api-tokens (returned once in plaintext).

Type
API Key (header: X-API-TOKEN)
or
JWT

JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer .

Type
HTTP (bearer)

Parameters

Path Parameters

organizationId*

Organization identifier

Type
string
Required
id*

load-balancer identifier

Type
string
Required

Responses

load-balancer resource

JSON
{
  
"@context": "string",
  
"@id": "string",
  
"@type": "string",
  
"id": "0f9d6a2e-4c3b-4e1a-9f2b-1a2b3c4d5e6f",
  
"name": "eu-web-pool",
  
"method": "random",
  
"requestHostname": "origin.example.com",
  
"createdAt": "2025-01-15T09:30:00+00:00",
  
"updatedAt": "2025-01-15T09:30:00+00:00",
  
"origins": [
  
  
{
  
  
  
"id": "string",
  
  
  
"originServer": {
  
  
  
  
"@context": "string",
  
  
  
  
"@id": "string",
  
  
  
  
"@type": "string"
  
  
  
},
  
  
  
"weight": 1,
  
  
  
"enabled": true
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI